Subject: Re: bug#45541: 28.0.50; Frequent crashes on ARM macOS

From: Alan Third <[email-masked]>
Date: Wed, 30 Dec 2020 14:05:44 +0000

On Wed, Dec 30, 2020 at 02:01:18PM +0100, Philipp Stephani wrote:
> Am Mi., 30. Dez. 2020 um 01:10 Uhr schrieb Alan Third <[email-masked]>:
> >
> > On Tue, Dec 29, 2020 at 11:32:43PM +0100, Philipp wrote:
> > >
> > > With an Emacs built from the emacs-27 branch I get frequent crashes on
> > > ARM64 macOS (Big Sur).  I haven't managed to produce an Elisp stacktrace
> > > yet, but here's the crash report:
> > <snip>
> > > Looks like a crash in ns_mouse_position.
> >
> > Can you check that the build includes this?
> >
> > 6aa9fe3e1b4052b2acde86404a90e35893ebfa00?
> > Fix crash in ns_mouse_position (bug#44313)
> 
> Yes, according to "git branch --contains" the commit is present.  The
> exception report makes me think that NSApp is null or invalid, but how
> should that be possible?

I have no idea... What's happening when the crash occurs? I take it
the mouse is being moved, but are frames opening and closing or
anything?
-- 
Alan Third